# Uses of Class
org.opensaml.core.xml.config.XMLConfigurationException

Packages that use XMLConfigurationException
Package
Description
org.opensaml.core.xml.config
Configuration of XML object providers and related functionality.

## Uses of XMLConfigurationException in org.opensaml.core.xml.config

Methods in org.opensaml.core.xml.config that throw XMLConfigurationException
Modifier and Type
Method
Description
`protected Object`
XMLConfigurator.`createClassInstance(Element configuration)`
Constructs an instance of the given class.
`protected void`
XMLConfigurator.`initializeIDAttributes(Element idAttributesElement)`
Registers the global ID attributes specified in the configuration file.
`protected void`
XMLConfigurator.`initializeObjectProviders(Element objectProviders)`
Initializes the object providers defined in the configuration file.
`void`
XMLConfigurator.`load(File configurationFile)`
Loads the configuration file(s) from the given file.
`void`
XMLConfigurator.`load(InputStream configurationStream)`
Loads a configuration file from an input stream.
`void`
XMLConfigurator.`load(Document configuration)`
Loads the configuration document.
`protected void`
XMLConfigurator.`load(Element configurationRoot)`
Loads a configuration after it's been schema validated.
`protected void`
XMLConfigurator.`validateConfiguration(Document configuration)`
Schema validates the given configuration.
Constructors in org.opensaml.core.xml.config that throw XMLConfigurationException
Modifier
Constructor
Description
``
`XMLConfigurator()`
Constructor.